package pfcjavagpss;
/**
* Autor: Javier Lopez Cervilla
* Cluster: 2
* Grupo: 2.1
* Versin: 1.0
* Fecha: 04-11-05
*/


import java.io.File;
import java.io.Serializable;
import java.util.*;
import java.io.*;

/**
* Clase que representa una Gestor de disco de la capa de 
* dominio.
*/

public class DGestorDisco implements Serializable
{
   private GestorDeDisco gD;
   private Constants c = new Constants();

    /*
    * Explicacin de DGestorDeDisco
    * PRE:-
    * POST: Construye un objeto DGestorDeDisco vaco.
    */   
   public DGestorDisco() 
   {
      gD = new GestorDeDisco();
   }
    
    /*
    * Explicacin de guardar
    * PRE:-
    * POST: guarda en disco la lista de Usuarios 
    */
   
   public void guardar () throws Exception
   {
      try
      {
         gD.guardaObjeto(VarGlobals.bloc, VarGlobals.titol);
      }
      catch (Exception e)
      {
         throw e;
      }
   }
    
    
    /*
    * Explicacin de recuperar
    * PRE:-
    * POST: recupera de disco la lista de Usuarios guardada en LU
    */
   
   
   public Object recuperar() throws Exception
   {
      try
      {
         return gD.recuperaObjeto(VarGlobals.titol);
      }
      catch (Exception e)
      {
         throw e;
      }
   }
   
   public void guardarTxt(String url) throws IOException{
       
   gD.guardarTxt(url);
   }
   public int recuperarTxt(BufferedReader entrada){
       return gD.recuperarTxt(entrada);
   
   }
 
 
 
}
